/*
 * Copyright 2015 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.motion.back;

import ej.bon.XMath;
import ej.motion.Motion;
import ej.motion.MotionManager;
import ej.motion.util.TossHelper;

/**
 * Motion manager creating ease in motions.
 */
public class BackMotionManager implements MotionManager {

	static final float S = 1.70158f;

	@Override
	public Motion easeIn(int start, int stop, long duration) {
		return new BackEaseInMotion(start, stop, duration);
	}

	@Override
	public Motion easeOut(int start, int stop, long duration) {
		return new BackEaseOutMotion(start, stop, duration);
	}

	@Override
	public Motion easeInOut(int start, int stop, long duration) {
		return new BackEaseInOutMotion(start, stop, duration);
	}

	@Override
	public Motion toss(int start, int min, int max, float initialSpeed, long duration) {
		int stop = TossHelper.computeExpectedStop(start, initialSpeed, duration);
		stop = XMath.limit(stop, min, max);
		return new BackEaseOutMotion(start, stop, duration);
	}

}
